Alpha AnalystDocs

Document Reference API

Retrieve metadata for one filing (all exhibits) or one file by accession, filing id, or document id.

curl -X GET "https://example.com/v2/documents/resolve?id=0000320193-25-000079%7C0"
{  "document_id": "0000320193-25-000079|0",  "document": {    "document_id": "0000320193-25-000079|0",    "filing_id": "0000320193-25-000079",    "source": "sec",    "title": "10-K",    "document_type": "10-K",    "filing_type": "10-K",    "filed_at": "2025-10-31T04:00:00.000Z",    "filename": "aapl-20250927.htm",    "entities": [      {        "name": "Apple Inc.",        "name_short": "Apple Inc.",        "full_ticker": "AAPL US",        "normalized_ticker": "AAPL",        "exchange_code": "UB",        "composite_code": "US",        "backlink_url": "https://alpha-analyst.com/stocks/aapl",        "category": "EQUITY",        "cik": "0000320193",        "edinet_code": "",        "lei": "HWUPKR0MPOU8FGXBT394",        "crd_number": "",        "series_id": "",        "internal_id": "",        "figi": "BBG000B9XXW3",        "composite_figi": "BBG000B9XRY4",        "share_class_figi": "BBG001S5N8V8",        "entity_is_public": 1,        "is_person": 0,        "is_actively_trading": 1,        "sec_type": "Common Stock",        "sec_type2": "Common Stock",        "market_sector": "Equity",        "generic_sic_code": "3571",        "score": 0,        "resolved": true,        "filer_type": "FILER",        "fy": "2025",        "q": "FY"      }    ],    "sequence": 1,    "pages": 60,    "additional_documents": [      {        "document_id": "0000320193-25-000079|1",        "title": "EX-4.1",        "document_type": "EX-4.1",        "filename": "a10-kexhibit4109272025.htm",        "sequence": 2,        "pages": 14      },      {        "document_id": "0000320193-25-000079|2",        "title": "EX-21.1",        "document_type": "EX-21.1",        "filename": "a10-kexhibit21109272025.htm",        "sequence": 3,        "pages": 1      },      {        "document_id": "0000320193-25-000079|3",        "title": "EX-23.1",        "document_type": "EX-23.1",        "filename": "a10-kexhibit23109272025.htm",        "sequence": 4,        "pages": 1      },      {        "document_id": "0000320193-25-000079|4",        "title": "EX-31.1",        "document_type": "EX-31.1",        "filename": "a10-kexhibit31109272025.htm",        "sequence": 5,        "pages": 1      },      {        "document_id": "0000320193-25-000079|5",        "title": "EX-31.2",        "document_type": "EX-31.2",        "filename": "a10-kexhibit31209272025.htm",        "sequence": 6,        "pages": 1      },      {        "document_id": "0000320193-25-000079|6",        "title": "EX-32.1",        "document_type": "EX-32.1",        "filename": "a10-kexhibit32109272025.htm",        "sequence": 7,        "pages": 1      },      {        "document_id": "aapl-20250927_g1.jpg",        "title": "GRAPHIC",        "document_type": "GRAPHIC",        "filename": "aapl-20250927_g1.jpg",        "sequence": 13      },      {        "document_id": "aapl-20250927_g2.jpg",        "title": "GRAPHIC",        "document_type": "GRAPHIC",        "filename": "aapl-20250927_g2.jpg",        "sequence": 14      },      {        "document_id": "0000320193-25-000079-xbrl.zip",        "title": "IDEA: XBRL DOCUMENT",        "document_type": "ZIP",        "filename": "0000320193-25-000079-xbrl.zip",        "sequence": 93      }    ],    "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-25-000079?filename=aapl-20250927.htm",    "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/aapl-20250927.htm",    "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.html"  }}
GET
/v2/documents/resolve

Query Parameters

id*Document Id

Document or filing id. SEC accession, accession|chunk, exhibit document_id, EDINET internal filing id or document_id, or an uploaded file id from Document Search. See The Document item.

Length1 <= length <= 400

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json